// pages/user/user.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        info: '',
        isLogin:false
    },
    onShow() {
        wx.getStorage({
            key: 'token',
            success: () => {
                this.setData({
                    isLogin:true
                })
                this.userInfo();
            },fail:()=>{  }
        })
    },

    userInfo() {
        wx.$api.user.userInfo().then(res => {
            console.log(res);
            this.setData({
                info: res
            })
        })
    },
    showtoast() {
        wx.showToast({
            title: '正在完善，看看其他的吧',
            icon: 'none'
        })
    },
    goLogin(){
        wx.navigateTo({
          url: '/pages/login/login',
        })
    }
})